/* Copyright (c) 2010 Marcin Zajaczkowski
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.appinfo.exception;

/**
 * Exception throws on (Manifest)Reader initialization problems.
 *
 * @since 0.5.2
 *
 * @author Marcin Zajączkowski, 2010-12-21
 */
public class ReaderInitializationException extends InitializationException {

    public ReaderInitializationException() {
        super();
    }

    public ReaderInitializationException(String message) {
        super(message);
    }

    public ReaderInitializationException(String message, Throwable cause) {
        super(message, cause);
    }

    public ReaderInitializationException(Throwable cause) {
        super(cause);
    }
}
