/* Copyright (c) 2010 Marcin Zajaczkowski
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.appinfo.formatter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Abstract ApplicationInfoFormatter implementation with common functionality for all formatters.
 *
 * @author Marcin Zajączkowski, 2010-10-14
 */
public abstract class AbstractApplicationInfoFormatter implements ApplicationInfoFormatter {

    protected final Logger log = LoggerFactory.getLogger(getClass());
    
    /** {@inheritDoc} */
    public void printInfo() {
        log.info("AppInfo: {}", getInfo());
    }
}
